4.174. sblim

Updated sblim packages that fix multiple bugs and add various enhancements are now available for Red Hat Enterprise Linux 5.
Standards-Based Linux Instrumentation for Manageability (SBLIM) consists of a set of standards-based, Web-Based Enterprise Management (WBEM) modules that use the Common Information Model (CIM) standard to gather and provide systems management information, events, and methods to local or networked consumers via an CIM object services broker using the CMPI (Common Manageability Programming Interface) standard. This package provides a set of core providers and development tools for systems management applications.

Bug Fixes

BZ#711423
The sblim-gather-provider package is DSP1053 compliant and advertises this via the Linux_MetricRegisteredProfile class under the root/interop namespace. Prior to this update, the registration of this class and provider was missing, preventing communication with the class via CIM object managers. With this update, the Linux_MetricRegisteredProfile class provider is properly registered under the root/interop namespace.
BZ#711193
Previously, CIM Metrics providers specific to IBM System z in the sblim-gather package were patched to workaround a bug in the 2.0.0 sysfs library. (The 2.0.0 sysfs library re-write inadvertently left out several API functions, including one -- open_device_tree -- the SBLIM Data Gatherer was dependent on.) Between the previous fence-agents release and this update, the sysfs library was updated to version 2.1.0 and that update restored the missing API interfaces, including open_device_tree. The patch which allowed sblim-gather-provider to work with sysfs library 2.0.0 does not work with 2.1.0, however. This update removes this patch, ensuring the CIM Metrics providers use the restored sysfs library APIs and providing full functionality, as expected.

Enhancements

BZ#713989
The sblim-cmpi-base packages have been updated to upstream version 1.6.1, which provides a number of bug fixes over the previous version.
BZ#713974
The sblim-gather packages have been updated to upstream version 2.2.3, which provides a number of enhancements over the previous version.
BZ#713985
The sblim-cmpi-fsvol packages have been updated to upstream version 1.5.1, which fixes a problem with incorrect fsvol registration.
BZ#713986
The sblim-cmpi-nfsv3 packages have been updated to upstream version 1.1.1. With this update, actual runtime settings of the nfsd tool are exposed, not only the static content of the /etc/exports file.
BZ#713973
The sblim-sfcb packages have been updated to upstream version 1.3.11, which provides a number of bug fixes and enhancements over the previous version.
BZ#716027
The sblim-sfcc packages have been updated to upstream version 2.2.2, which provides one bug fix over the previous version.
All sblim users should upgrade to these updated packages, which fix these bugs and add these enhancements.